Subject: 27.0.50; window-text-pixel-size returns wrong values

From: Sebastien Chapuis <[email-masked]>
Date: Tue, 13 Mar 2018 15:26:54 +0100

Hi,

I'm using the function to size correctly a child frame in lsp-ui [1]
The commit 50e2c0fb5180a757d8d533518f68837ffe5909be introduced the bug.
I have tested with and without text properties in the buffer and the bug
still occurs. In my case the TO parameter is nil.

[1] https://github.com/emacs-lsp/lsp-ui

In GNU Emacs 27.0.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.22.26)
 of 2018-03-13 built on XPS13
Repository revision: 50e2c0fb5180a757d8d533518f68837ffe5909be
Windowing system distributor 'Fedora Project', version 11.0.11906000
System Description: Fedora 27 (Twenty Seven)

Configured using:
 'configure --prefix=/opt/emacs-git --with-modules --with-xwidgets
 --with-imagemagick CC=clang'

--
Sebastien Chapuis